> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/core-resources/risk-profile/get-a-risk-profile.md).

# Get a risk profile

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/clients/:id/riskProfile`

Retrieves the risk profile for the specified client.

### Headers

<table><thead><tr><th width="287">Name</th><th width="112">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Path parameters

<table><thead><tr><th width="288">Name</th><th width="109">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the client.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/clients/{:clientId}/riskProfile \
     -H 'Authorization: <YOUR_API_KEY>' 
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const riskProfile = await complycube.riskProfile.get("CLIENT_ID");
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

cc_api.riskprofiles.get('CLIENT_ID')
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$profiles = $ccapi->riskProfiles()->get('CLIENT_ID');
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.RiskProfiles;

var riskProfileApi = new RiskProfileApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var docChecks = await riskProfileApi.GetAsync("CLIENT_ID");
```

{% endtab %}
{% endtabs %}

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```json
{
  "overall": "low",
  "countryRisk": {
    "risk": "low",
    "country": "GB",
    "breakdown": [
      {
        "source": "Federal Bureau of Investigation (FBI)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "FinCEN",
        "normalisedRiskScore": "medium"
      },
      {
        "source": "Financial Action Task Force (FATF)",
        "normalisedRiskScore": "medium"
      },
      {
        "source": "Organisation for Economic Co-operation and Development (OECD)",
        "normalisedRiskScore": "medium"
      },
      {
        "source": "HM Treasury (HMT)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "Central Intelligence Agency (CIA)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "US Department of State (US DOS)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "Transparency International",
        "normalisedRiskScore": "low"
      },
      {
        "source": "World Bank Group",
        "normalisedRiskScore": "low"
      },
      {
        "source": "United Nations(UN)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "Heritage Foundation - Index of Economic Freedom (IEF)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "Basel AML Index (BAI)",
        "normalisedRiskScore": "low"
      }
    ]
  },
  "politicalExposureRisk": {
    "risk": "not_set"
  },
  "occupationRisk": {
    "risk": "not_set"
  },
  "watchlistRisk": {
    "risk": "not_set"
  },
  "updatedAt": "2020-01-01T14:06:45.743Z"
}
```

{% endtab %}

{% tab title="Resource Not Found (404)" %}

```json
{
    "type": "resource_not_found",
    "message": "Invalid client id '5eb04fcd0f3e360008035eb2'"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/risk-profile/get-a-risk-profile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
